<?php

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Util\Sidebar\Facades\Sidebar;
use EventPortal\Domain\Util\Sidebar\Link;

Sidebar::make('event.show')
    ->title('Manage Your Event')
    ->addLinks(function (Event $event) {
        return [
            Link::make('Venue')
                ->icon('location-blip')
                ->route('admin.event.show', [
                    'event' => $event->id,
                ]),
            Link::make('Speakers')
                ->icon('microphone')
                ->route('admin.event.show', [
                    'event' => $event->id,
                ]),
            Link::make('Accommodation')
                ->icon('bed')
                ->route('admin.event.show', [
                    'event' => $event->id,
                ]),
            Link::make('Delegates')
                ->icon('person-add')
                ->route('admin.event.delegate.index', [
                    'event' => $event->id,
                ])
                ->permission('event.show'),
            Link::make('Forms')
                ->icon('form-questions')
                ->route('admin.event.show', [
                    'event' => $event->id,
                ]),
            Link::make('Agenda')
                ->icon('clock-simple')
                ->route('admin.event.show', [
                    'event' => $event->id,
                ]),
            Link::make('Website')
                ->icon('world-wide-web')
                ->route('admin.event.show', [
                    'event' => $event->id,
                ]),
            Link::make('Emails')
                ->icon('email-simple')
                ->route('admin.event.show', [
                    'event' => $event->id,
                ]),
            Link::make('Certificates')
                ->icon('award-ribbon')
                ->route('admin.event.show', [
                    'event' => $event->id,
                ]),
            Link::make('Document Repository')
                ->icon('documents')
                ->route('admin.event.show', [
                    'event' => $event->id,
                ]),
            Link::make('Event Settings')
                ->icon('settings-generic')
                ->route('admin.event.show', [
                    'event' => $event->id,
                ]),
        ];
    });
