<?php

namespace EventPortal\Tests\Unit\Models;

use Carbon\Carbon;
use EventPortal\Domain\Agenda\Models\Agenda;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class AgendaTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function can_create_for_an_event()
    {
        $event = factory(Event::class)->create();

        Agenda::createForEvent($event, Carbon::createFromFormat('d/m/Y', '27/05/2020'));

        $this->assertEventHasAgendaFor($event, '2020-05-27');
    }
}
