<?php

namespace EventPortal\Tests\Unit\Permissions\Resources;

use EventPortal\Domain\Permission\Models\Group as GroupModel;
use EventPortal\Domain\Permission\Models\Permission;
use EventPortal\Domain\Permission\Models\Role;
use EventPortal\Domain\Permission\Resources\Group;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Spatie\Snapshots\MatchesSnapshots;

class GroupTest extends TestCase
{
    use RefreshDatabase, MatchesSnapshots;

    /** @test */
    public function gets_permissions_by_group_with_permissions()
    {
        $group = factory(GroupModel::class)->state('default')->create();
        factory(Role::class)->state('default')->create();
        factory(Permission::class)->state('default')->create([
            'group_id' => $group->id,
        ]);

        $groupResource = new Group($group, Role::all());
        $this->assertMatchesSnapshot(json_encode($groupResource->toArray()));
    }
}
